import request from '@/utils/request'
// 资质json数据
let aptitudeCode= function aptitudeCode(param) {
  return request({
    url: 'https://files.jiansheku.com/file/json/common/aptitudeCode.json',
    method: 'get',
  })
}
// 人员json数据
let personCert= function personCert(param) {
  return request({
    url: 'https://files.jiansheku.com/file/json/common/personCert.json',
    method: 'get',
  })
}
// 备案网站
let searchDic= function searchDic(param) {
  return request({
    url: 'https://files.jiansheku.com/file/json/common/searchDic.json',
    method: 'get',
  })
}
// 备案网站
let regionWebList= function regionWebList(param) {
  return request({
    url: '/nationzj/enterprice/regionWebList',
    method: 'get',
  })
}
// 查甲方选项
let uipGroupData= function uipGroupData(param) {
  return request({
    url: '/enterprise/uipGroupData',
    method: 'post',
	data: param
  })
}
// 查甲方列表
let uipSerach= function uipSerach(param) {
  return request({
    url: '/enterprise/uipSerach',
    method: 'post',
	data: param
  })
}
// 认领用户
let claim= function claim(param) {
  return request({
    url: '/customer/claim',
    method: 'post',
	data: param
  })
}
// 取消认领用户
let cancelClaim= function cancelClaim(data) {
  return request({
    url: '/customer/cancelClaim/'+data,
    method: 'put',
	  // data: data
  })
}
// 历史认领用户
let historyClaim= function historyClaim(data) {
  return request({
    url: '/customer/historyClaim/'+data,
    method: 'put',
	  // data: data
  })
}
// 客户状态
let customerStatus= function customerStatus(data) {
  return request({
    url: '/customer/status/'+data,
    method: 'get',
	  // data: data
  })
}
// 查建筑企业

let enterprisePage= function enterprisePage(param) {
  return request({
    url: '/enterprise/page',
    method: 'post',
	data: param
  })
}
// 甲方详情-公司概要
let infoHeader= function infoHeader(param) {
  return request({
    url: '/enterprise/infoHeader',
    method: 'post',
	data: param
  })
}




export default {aptitudeCode,personCert,searchDic,regionWebList,uipGroupData,uipSerach,claim,cancelClaim,enterprisePage,infoHeader,historyClaim,customerStatus}
